Subject: bug#15735: 24.3.50; `find-library' completion bug

From: Andreas Röhler <[email-masked]>
Date: Mon, 28 Oct 2013 15:32:07 +0100

Am 28.10.2013 15:00, schrieb Drew Adams:
>>> Debugger entered--Lisp error: (error "Can't find library ess-
>>> 5.3.10/")
>>
>>  From this error message, it looks like it did not complete to
>> "ess-5.3.10" but to "ess-5.3.10/", from which I gather that this is
>> the directory you added (you added it inside a directory which is
>> itself in load-path).
>
> That's right.  It is a subdirectory of a directory in `load-path'.
> It is not, itself, in `load-path'.
>
>> So that looks perfectly correct.  Or am I misunderstanding
>> something?
>
> It doesn't seem right to me, but I'm probably naive.  I wouldn't
> think that it should be a completion at all, since (a) it is not
> itself an Emacs-Lisp library in the load-path and (b) there are
> no such libraries within it.  I would expect TAB to say that there
> are no completions.
>
> I would expect that even if this directory were itself a member
> of the load-path (which it is not).
>
> But if this is the intended design, no problem.  It just didn't
> seem like TRT to me.  IOW, I didn't expect it.
>
>
>
>

Maybe the difficulty raises from the fact of the prefic being part of the directory name, which seems causing conflict?